<?php
/* 
 * @package     Joomla.Site 
 * @subpackage  mod_r17_phoca_slider 
 * @copyright (c) Radius17 
 * @web: https://radius17.ru 
 * @license https://radius17.ru/docs/license.html 
 * THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.  
 * 
 * All SERVICES/EXTENSIONS ARE MADE FOR THE LATEST VERSIONS OF JOOMLA AND JOOMSHOPPING,  
 * BUT WE CAN NOT GUARANTEE, THAT THE EXTENSIONS/SERVICES WILL RUN WITH FUTURE VERSIONS  
 * OF THESE CMS AND ITS COMPONENTS. 
 * 
 * Revision num =  89 
 * Build: 1438 
 * Build date: 2020.01.20 3:43:09 
 *  
 */   

defined('_JEXEC') or die();
defined('DS') or define('DS', DIRECTORY_SEPARATOR);

if (! class_exists('PhocaGalleryLoader')) require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_phocagallery'.DS.'libraries'.DS.'loader.php');
phocagalleryimport('phocagallery.html.category');

class JFormFieldPhocaGalleryCategory extends JFormField {
	protected $type 		= 'PhocaGallery';
	protected function getInput() {
		$db = JFactory::getDBO();
		//build the list of categories
		$query  = 'SELECT a.title AS text, a.id AS value, a.parent_id as parentid'
				. ' FROM #__phocagallery_categories AS a'
				. ' WHERE a.published = 1'
				. ' ORDER BY a.ordering';
		$db->setQuery( $query );
		$phocagallerys = $db->loadObjectList();
		// TODO - check for other views than category edit
		$view 	= JRequest::getVar( 'view' );
		$catId	= -1;
		if ($view == 'phocagalleryc') {
			$id 	= $this->form->getValue('id'); // id of current category
			if ((int)$id > 0) {
				$catId = $id;
			}
		}
		$text = '';
		$tree = PhocaGalleryCategory::CategoryTreeOption($phocagallerys, array(), 0, $text, $catId);
		return JHTML::_('select.genericlist',  $tree,  $this->name, 'class="inputbox" size="4" multiple="multiple"', 'value', 'text', $this->value, $this->id );
	}
}
?>